GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXPolygon Class Reference

Class for handling an individual Polygon of a Polygon System. More...

`#include <GTXPolygon.hpp>`

## Public Member Functions
| GTXPolygon ()
| Empty Constructor.
| GTXPolygon (const GTXPolygon &fseg)
| Copy Constructor.
GTXPolygon | operator= (const GTXPolygon &fseg)
| Operator equals.
| ~GTXPolygon ()
| Destructor.
const char * | GetName () const
| Get value from name attribute of a Polygon. More...
const char * | GetGroupName () const
| Get value from group_name attribute of a Polygon. More...
double | GetZMin () const
| Get value from z_min attribute of a Polygon. More...
double | GetZMax () const
| Get value from z_max attribute of a Polygon. More...
int | GetVerticesNumber () const
| Get value from n_vertices attribute of a Polygon. More...
double | GetXVertices (int rank) const
| Get value from Xvertices attribute of a Polygon. More...
double | GetYVertices (int rank) const
| Get value from Yvertices attribute of a Polygon. More...
void | SetName (const char *name)
| Set value from name attribute of a Polygon. More...
void | SetGroupName (const char *group_name)
| Set value from group_name attribute of a Polygon. More...
void | SetZMin (double z_min)
| Set value from ZMin attribute of a Polygon. More...
void | SetZMax (double z_max)
| Set value from ZMax attribute of a Polygon. More...
void | AddVertex (double x, double y)
| add value vertices of a Polygon More...

## Friends
class | GTXClient
class | GTXPolygonSystem

## Detailed Description

Class for handling an individual Polygon of a Polygon System.

Examples:
  polygon.cpp.

## Member Function Documentation

void GTXPolygon::AddVertex | ( | double | x,
|  | double | y
| ) |  |

add value vertices of a Polygon

This function add veritives of a Polygon

Parameters

  x,y | vertex position

Remarks:
  All coordinates are returned in the current unit (GTXClient::SetUnit) or using the corresponding coordinate variable unit if unit_mode is set to 1 (GTXClient::SetUnitMode).

Examples:
  polygon.cpp.

const char * GTXPolygon::GetGroupName | ( |  | ) | const

Get value from group_name attribute of a Polygon.

This function reads the value from group_name attribute of a Polygon

Returns
  Return group_name

Examples:
  polygon.cpp.

const char * GTXPolygon::GetName | ( |  | ) | const

Get value from name attribute of a Polygon.

This function reads the value from name attribute of a Polygon

Returns
  Return name

Examples:
  polygon.cpp.

int GTXPolygon::GetVerticesNumber | ( |  | ) | const

Get value from n_vertices attribute of a Polygon.

This function reads the value from n_vertices attribute of a Polygon

Returns
  Return n_vertices

Examples:
  polygon.cpp.

double GTXPolygon::GetXVertices | ( | int | rank | ) | const

Get value from Xvertices attribute of a Polygon.

This function reads the value from Xvertices attribute of a Polygon

Returns
  Return Xvertices

Examples:
  polygon.cpp.

double GTXPolygon::GetYVertices | ( | int | rank | ) | const

Get value from Yvertices attribute of a Polygon.

This function reads the value from Yvertices attribute of a Polygon

Returns
  Return Yvertices

Examples:
  polygon.cpp.

double GTXPolygon::GetZMax | ( |  | ) | const

Get value from z_max attribute of a Polygon.

This function reads the value from z_max attribute of a Polygon

Returns
  Return z_max

Examples:
  polygon.cpp.

double GTXPolygon::GetZMin | ( |  | ) | const

Get value from z_min attribute of a Polygon.

This function reads the value from z_min attribute of a Polygon

Returns
  Return z_min

Examples:
  polygon.cpp.

void GTXPolygon::SetGroupName | ( | const char * | group_name | ) |

Set value from group_name attribute of a Polygon.

This function changes the value from group_name attribute of a Polygon

Parameters

  group_name | group_name

Examples:
  polygon.cpp.

void GTXPolygon::SetName | ( | const char * | name | ) |

Set value from name attribute of a Polygon.

This function changes the value from name attribute of a Polygon

Parameters

  name | name

Examples:
  polygon.cpp.

void GTXPolygon::SetZMax | ( | double | z_max | ) |

Set value from ZMax attribute of a Polygon.

This function changes the value from ZMax attribute of a Polygon

Parameters

  z_max | ZMax

Examples:
  polygon.cpp.

void GTXPolygon::SetZMin | ( | double | z_min | ) |

Set value from ZMin attribute of a Polygon.

This function changes the value from ZMin attribute of a Polygon

Parameters

  z_min | ZMin

Examples:
  polygon.cpp.

The documentation for this class was generated from the following files:

- include/GTXPolygon.hpp
- src/gtxclient/GTXPolygon.cpp